#!/usr/bin/env python3

import pandas as pd
import matplotlib.pyplot as plt

perf = pd.read_csv("perf_report_inst_eddies.csv", index_col=0)
perf_0_17 = pd.read_csv("perf_report_inst_eddies_0_17.csv", index_col=0)
fig, ax = plt.subplots(figsize=(8.15, 4.8))
fig.subplots_adjust(top=0.97, left=0.095, right=0.69)
perf.plot(ax = ax, legend = None)
ax.plot(perf_0_17["elapsed Fortran"], label = "elapsed Fortran 0.17")
ax.plot(perf_0_17["elapsed cat"], label = "elapsed cat")
ax.plot(perf_0_17["elapsed NCO"], label = "elapsed NCO 0.17")
ax.plot(perf_0_17["elapsed Fortran"] + perf_0_17["elapsed cat"],
        label = "elapsed Fortran 0.17 + cat")
ax.set_ylabel("time (s)")
fig.autofmt_xdate()
fig.legend(loc = "right")
plt.savefig("elapsed_time.pdf")
##plt.show()
