#!/usr/bin/env python3

import pandas as pd
import matplotlib.pyplot as plt

def get_size_index(name):
    for i, s in enumerate(name_prefix):
        if name.startswith(s): break
        
    return pd.Series([i, s.lower()])

perf_report = pd.read_csv("perf_report.csv", skiprows = 2,
                          skipinitialspace = True)
perf_report["time_ciclad_17"] = pd.read_csv("perf_report_ciclad_17.csv")\
                ["elapsed time, in s"]
name_prefix = ["Create", "Small", "Medium", "Big"]
mix = perf_report["name"].map(lambda name:name.endswith("mix"))
perf_report[["size_index", "size_name"]] = perf_report["name"]\
    .apply(get_size_index)
fig, ax = plt.subplots()
perf_report[~mix].sort_values(by = "size_index")\
                 .plot(x = "size_name", y = "time_old",
                       label = "frontal separated old", ax = ax)
perf_report[mix].sort_values(by = "size_index")\
                .plot(x = "size_name", y = "time_old",
                      label = "frontal mixed old", ax = ax)
perf_report[~mix].sort_values(by = "size_index")\
                 .plot(x = "size_name", y = "time_new",
                       label = "frontal separated new", ax = ax)
perf_report[mix].sort_values(by = "size_index")\
                .plot(x = "size_name", y = "time_new",
                      label = "frontal mixed new", ax = ax)
perf_report[~mix].sort_values(by = "size_index")\
                 .plot(x = "size_name", y = "time_ciclad_17",
                       label = "ciclad 17 separated", ax = ax)
perf_report[mix].sort_values(by = "size_index")\
                .plot(x = "size_name", y = "time_ciclad_17",
                      label = "ciclad 17 mixed", ax = ax)
plt.ylabel("elapsed time, in s")
plt.savefig("plot_test_output.pdf")
##plt.show()

